#use Appimage

Name:           glaxnimate
Version:     	0.5.4
Release:        %mkrel 1
Summary:        Simple and fast vector graphics animation program.
Group:		Graphics
License:        GPLv3
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://glaxnimate.mattbas.org/
Source1:        %{name}.svg
#-----------------------------------------------------------------

%description

Glaxnimate is a simple and fast vector graphics animation program.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://gitlab.com/api/v4/projects/19921167/jobs/artifacts/release/raw/build/glaxnimate-x86_64.AppImage?job=linux%3Aappimage
mv glaxnimate-x86_64.AppImage?job=linux:appimage glaxnimate-x86_64.AppImage
chmod +x glaxnimate-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/glaxnimate-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.svg

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Glaxnimate
GenericName=glaxnimate
Comment=%{summary}
Exec=%{name}
Icon=%{name}.svg
Categories=Graphics;2DGraphics;VectorGraphics;RasterGraphics;Qt;
Keywords=picture;drawing;vector;bitmap;cartoon;animation;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Thu Oct 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.4-1pclos2023
- Updated pkg from Appimage.

* Thu Mar 09 2023 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.3-1pclos2023
- Updated pkg from Appimage.

* Fri Oct 14 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.1-2pclos2022
- Fixed license
- Fixed group

* Wed Sep 21 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.1-1pclos2022
- Created pkg from Appimage.
